VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1905
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   1905
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdLookup 
      Caption         =   "Lookup"
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Top             =   480
      Width           =   855
   End
   Begin VB.ComboBox cboHost 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   120
      List            =   "Form1.frx":0016
      TabIndex        =   1
      Text            =   "cboHost"
      Top             =   120
      Width           =   4455
   End
   Begin VB.CommandButton cmdPing 
      Caption         =   "Ping"
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   1440
      Width           =   855
   End
   Begin VB.Label lblIPAddress 
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' See:
'   How to ping an IP address with Visual Basic by using ICMP
'   http://support.microsoft.com/default.aspx?scid=kb%3ben-us%3b300197
'
' And:
'
'
Option Explicit
' Look up the IP address.
Private Sub cmdLookup_Click()
Dim cResolve As clsResolve

    Set cResolve = New clsResolve
    lblIPAddress.Caption = cResolve.GetIPFromHostName(cboHost.Text)
End Sub
Private Sub cmdPing_Click()
Dim Reply As ICMP_ECHO_REPLY
Dim lngSuccess As Long
Dim strIPAddress As String
   
    Screen.MousePointer = vbHourglass
    DoEvents
    Debug.Print "****************************************"

    'Get the sockets ready.
    If SocketsInitialize() Then
        'Address to ping
        strIPAddress = lblIPAddress.Caption

        'Ping the IP that is passing the address and get a reply.
        lngSuccess = ping(strIPAddress, 5000, Reply)

        'Display the results.
        Debug.Print "Address to Ping: " & strIPAddress
        Debug.Print "Raw ICMP code: " & lngSuccess
        Debug.Print "Ping Response Message : " & EvaluatePingResponse(lngSuccess)
        Debug.Print "Time : " & Reply.RoundTripTime & " ms"

        'Clean up the sockets.
        SocketsCleanup
    Else
        'Winsock error failure, initializing the sockets.
        Debug.Print WINSOCK_ERROR
    End If

    Screen.MousePointer = vbDefault
End Sub

Private Sub Form_Load()
    cboHost.ListIndex = 0
End Sub

